@import "fonts.css";

:root {
  --radius: 0.5rem;
  --preloader-background: var(--accent) / 0.5;
  --header-elements-height: 2.5rem;
  --color-cart-discount-badge: #00bc7d;
  --box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.2);
  --search-box-width: 25rem;
  --font-family: "vazirmatn";
}
.woocommerce .blockUI.blockOverlay {
  background-color: var(--accent) !important;
  border-radius: var(--radius);
}
.woocommerce .blockUI.blockOverlay:before,
.woocommerce .loader:before {
  width: 48px;
  background: none;
  height: 48px;
  border: 5px solid skyblue;
  border-bottom-color: var(--primary);
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
html.dark {
  --box-shadow: 0px 1px 5px rgba(255, 255, 255, 0.2);
  --image-brightness: 0.9;
}

.swiper-pagination {
  padding: 0.625rem 0.5rem;
  border-radius: 0.15rem;
}

.swiper-pagination .swiper-pagination-bullet {
  width: 1.5rem;
  height: 0.3rem;
  border-radius: var(--radius);
}

:root,
html,
body {
  padding: 0;
  margin: 0;
  transition: all 0.15s ease-in-out;
}

.elementor-field-group.elementor-field-required label:after {
  content: " *";
  color: red;
  margin-left: 2px;
}

body {
  font-family: var(--e-global-typography-230dee9-font-family);
  color: var(--text);
  background-color: var(--accent) !important;
}

body img {
  filter: brightness(var(--image-brightness));
}
